vcov.secr {secr} | R Documentation

## Variance - Covariance Matrix of SECR Parameters

### Description

Variance-covariance matrix of beta or real parameters from fitted secr model.

### Usage

    ## S3 method for class 'secr'
    vcov(object, realnames = NULL, newdata = NULL,
        byrow = FALSE, ...)

### Arguments

`object` | secr object output from the function `secr.fit`
`realnames` | vector of character strings for names of ‘real’ parameters
`newdata` | dataframe of predictor values
`byrow` | logical for whether to compute covariances among ‘real’ parameters for each row of new data, or among rows for each real parameter
`...` | other arguments (not used)

### Details

By default, returns the matrix of variances and covariances among the estimated model coefficients (beta parameters).

If `realnames` and `newdata` are specified, the result is either a matrix of variances and covariances for each ‘real’ parameter among the points in predictor-space given by the rows of `newdata` or among real parameters for each row of `newdata`. Failure to specify `newdata` results in a list of variances only.

### Value

A matrix containing the variances and covariances among beta parameters on the respective link scales, or a list of among-parameter variance-covariance matrices, one for each row of `newdata`, or a list of among-row variance-covariance matrices, one for each ‘real’ parameter.

### See Also

`vcov`, `secr.fit`, `print.secr`

### Examples

    ## previously fitted secr model
    vcov(secrdemo.0)

[Package secr version 3.2.1 Index]